%global npmname mjsunit.runner

%global _use_internal_dependency_generator 0
%global __find_provides /bin/sh -c 'sed -n "s,.*/\\.npm/\\([^\\/]*\\)\\/\\([^/]*\\.[^/]*\\)/.*,nodejs(\\1) = \\2,p" |sort |uniq'
%global __find_requires /bin/sh -c 'sed -n "s,.*/dependson/\\([^@\\/]*\\)@\\([^@/]\\.[^@/]*\\)$,nodejs(\\1) = \\2,p" |sort |uniq'

Name:           nodejs-%{npmname}
Version:        0.1.3
Release:        2%{?dist}
Summary:        Command line mjsunit runner which provides an easy way to hook into mjsunit and start running tests immediately..

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/tmpvar/mjsunit.runner
Source0:        http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  nodejs-npm
Requires:       nodejs-npm

BuildArch:      noarch

%description
Command line mjsunit runner which provides an easy way to hook into mjsunit and start running tests immediately..


%prep
%setup -q -n 1289345395465-0.30993544519878924


%build
mkdir -p .%{_prefix}/lib/node/.npm
cp -a %{_prefix}/lib/node/.npm/* \
        .%{_prefix}/lib/node/.npm

npm_config_root=.%{_prefix}/lib/node \
npm_config_binroot=.%{_bindir} \
npm_config_manroot=.%{_mandir} \
npm install %{SOURCE0}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}
cp -a $PWD%{_prefix}/lib/node/%{npmname}{,@%{version}} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node
cp -a $PWD%{_prefix}/lib/node/.npm/%{npmname}/{%{version},active} \
        $RPM_BUILD_ROOT%{_prefix}/lib/node/.npm/%{npmname}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_prefix}/lib/node/%{npmname}
%{_prefix}/lib/node/%{npmname}@%{version}
%{_prefix}/lib/node/.npm/%{npmname}
%doc LICENSE*


%changelog
* Mon Jan 31 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.1.3-2
- Added automatic dependencies
- Only package currently build version

* Fri Dec 17 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.1.3-1
- Initial packaging
